package ar.com.supervielle.wsdl.servicios.integracion.clienteprevisional_v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:34:10.107-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebService(targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1", name = "ClientePrevisionalPortType_v2")
@XmlSeeAlso({ar.com.supervielle.xsd.integracion.header_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.registrarfedevida_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.commontypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.obtenercpp_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.cambioestadocpp_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.consultacpp_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.calculoingresos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.consultafallecidos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.consultabeneficios_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.consultafallecidos_v2.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.altaanticipohaberes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.desbloqueocuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.servicios.integracion.exception_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.consultafechacobro_v1.ObjectFactory.class})
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface ClientePrevisionalPortTypeV2 {

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1/consultaFallecidos")
    public void consultaFallecidos(
        @WebParam(partName = "entrada", name = "ReqConsultaFallecidos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/consultaFallecidos-v2")
        ar.com.supervielle.xsd.integracion.clienteprevisional.consultafallecidos_v2.ReqConsultaFallecidos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaFallecidos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/consultaFallecidos-v2")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.clienteprevisional.consultafallecidos_v2.RespConsultaFallecidos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;
}
